콘텐츠로 건너뛰기
ShopentlyLearn

상품 · 상품 파일

upload_id를 만든 뒤 multipart/form-data로 파일을 전송하고 상품에 연결합니다. 다운로드에는 Bearer 토큰과 category 권한이 필요하며, 응답에는 공개 주소나 비밀번호 없이 파일 바이트가 포함됩니다. 공유 판매 파일의 명시적 접근 규칙. new_purchases / recent_and_new / selected / all_purchasers.

GET/api/v1/products/{product_id}/files

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/products/example/files?category=digital' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

응답

{
  "data": {
    "files": [
      {
        "category": "digital",
        "created_at": "2026-01-01T12:00:00Z",
        "current_version_id": "00000000-0000-4000-8000-000000000001",
        "file_id": "00000000-0000-4000-8000-000000000001",
        "filename": "manual.pdf",
        "id": "00000000-0000-4000-8000-000000000001",
        "label": "Manual",
        "mime_type": "application/pdf",
        "sha256": "5cd2f1cb0e5532b397e7ab1887baf6000c49450fd80ae279eb047c06e4545ecd",
        "size_bytes": 46,
        "state": "active",
        "version_number": 1
      }
    ],
    "product_version": 2
  },
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 50,
      "next_cursor": null
    },
    "request_id": "example"
  }
}

필수 권한

최소 요금제
STANDARD
필수 권한
특정 필드의 추가 권한
  • category=internal: 상품 파일 조회 · 내부 파일catalog.product_file:read_internal
  • category=customer_document: 상품 파일 조회 · 고객 문서catalog.product_file:read_customer_document
  • category=digital: 상품 파일 조회 · 디지털 상품catalog.product_file:read_digital